shishi_realm_default_guess(3)

NAME
shishi_realm_default_guess - API function

SYNOPSIS
#include <shishi.h>

char * shishi_realm_default_guess( void);

ARGUMENTS

void

DESCRIPTION
Guesses a realm based on getdomainname() (which really is NIS/YP domain, but if it is set it might be a good guess), or if it fails, based on gethostname(), or if it fails, the string "could-not-guess-default-realm". Note that the hostname is not trimmed off of the data returned by gethostname() to get the domain name and use that as the realm.

RETURN VALUE
Returns guessed realm for host as a string that has to be deallocated with free() by the caller.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.